Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IDelayedCall``

interface documentation

`class IDelayedCall(Interface): (source)`

Known implementations: `twisted.internet.base.DelayedCall`

View In Hierarchy

A scheduled call.

There are probably other useful methods we can add to this interface; suggestions are welcome.

Method | `active` | No summary
Method | `cancel` | Cancel the scheduled call.
Method | `delay` | Delay the scheduled call.
Method | `getTime` | Get time when delayed call will happen.
Method | `reset` | Reset the scheduled call's timer.

def active() -> `bool`: (source)

Returns
`bool` | True if this call is still active, False if it has been called or cancelled.

def cancel(): (source)

Cancel the scheduled call.

Raises
`twisted.internet.error.AlreadyCalled` | if the call has already happened.
`twisted.internet.error.AlreadyCancelled` | if the call has already been cancelled.

def delay(secondsLater: `float`): (source)

Delay the scheduled call.

Parameters
secondsLater:`float` | how many seconds from its current firing time to delay

Raises
`twisted.internet.error.AlreadyCalled` | if the call has already happened.
`twisted.internet.error.AlreadyCancelled` | if the call has already been cancelled.

def getTime() -> `float`: (source)

Get time when delayed call will happen.

Returns
`float` | time in seconds since epoch (a float).

def reset(secondsFromNow: `float`): (source)

Reset the scheduled call's timer.

Parameters
secondsFromNow:`float` | how many seconds from now it should fire, equivalent to `.cancel()` and then doing another `reactor.callLater(secondsLater, ...)`

Raises
`twisted.internet.error.AlreadyCalled` | if the call has already happened.
`twisted.internet.error.AlreadyCancelled` | if the call has already been cancelled.